{

	Init[ (s)
	{
		MenuBackground(92);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		AddMenuItem(98,"MenuLoadGame");
		if (CanSaveGame())
		{

			AddMenuItem(99,"MenuSaveGame");
		}
		else
		{
			AddStaticItem(99);
		}

		AddStaticItem(26);
		AddStaticItem(26);

		if ((GameAvailableForLoad(0)) or (GameAvailableForLoad(1)) or (GameAvailableForLoad(2)) or (GameAvailableForLoad(3)))
		{
			AddMenuItem(100,"DeleteSavedGames");
		}
		else
		{
			AddStaticItem(100);
		}

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		funtext=AddFloatingTextJustify(530, 0, 195, false,32767);
                funtext.SetFontNum(1);
		funtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		funtext.SetFontNum(1);
	} ]

	MenuLoadGame[ (s)
	{
		// Tell the engine to load a new game (probably opens a new menu)
		//MenuBackground(20);
		//Quit();
		//LoadGame();
		OpenMenu("LoadGameMenu");
	} ]

	MenuSaveGame[ (s)
	{
		// Tell the engine to save a new game (probably opens a new menu)
		//SaveGame("SaveGameCallBack");
		OpenMenu("SaveGameMenu");
	} ]

	DeleteSavedGames[ (s)
	{
		OpenMenu("DeleteSavedGames");
	}]

	LoadSaveBack[ (s)
	{
		OpenMenu("MainMenu");
	} ]
}